class AR::Events::ARObjectDied < AR::Events::Event

  attr_participant :ar_object, :killer, :apparatus

  attr_accessor :cause

  def default_story
    particable = (engine.world.player == ar_object) ? "have" : "has"
    "#{self.ar_object.name.capitalize} #{particable} fallen."
  end

  def initialize params
    super params
    self.cause = params[:cause]
  end 


end
